Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- h
- i
- l
- n
- p
- r
- s
- t
- u
- w
- x

### - a -

- ACCESS_DENIED : Botan::TLS::Alert
- All : Botan::GeneralName
- ANSI_X9_42 : Botan::DL_Group
- ANSI_X9_42_DH_PARAMETERS : Botan::DL_Group
- ANSI_X9_57 : Botan::DL_Group
- ANSIX962_COMPRESSED_CHAR2 : Botan::TLS::Supported_Point_Formats
- ANSIX962_COMPRESSED_PRIME : Botan::TLS::Supported_Point_Formats

### - b -

- BAD_CERTIFICATE : Botan::TLS::Alert
- BAD_CERTIFICATE_HASH_VALUE : Botan::TLS::Alert
- BAD_CERTIFICATE_STATUS_RESPONSE : Botan::TLS::Alert
- BAD_RECORD_MAC : Botan::TLS::Alert
- BASE_IS_2 : Botan::Power_Mod
- BASE_IS_FIXED : Botan::Power_Mod
- BASE_IS_LARGE : Botan::Power_Mod
- BASE_IS_SMALL : Botan::Power_Mod
- Binary : Botan::BigInt
- BLOCK_SIZE : Botan::Block_Cipher_Fixed_Params< BS, KMIN, KMAX, KMOD >

### - c -

- CERTIFICATE_EXPIRED : Botan::TLS::Alert
- CERTIFICATE_REVOKED : Botan::TLS::Alert
- CERTIFICATE_UNKNOWN : Botan::TLS::Alert
- CERTIFICATE_UNOBTAINABLE : Botan::TLS::Alert
- CLOSE_NOTIFY : Botan::TLS::Alert
- COMPRESSED : Botan::PointGFp
- CPUID_INITIALIZED_BIT : Botan::CPUID

### - d -

- Decimal : Botan::BigInt
- DECODE_ERROR : Botan::TLS::Alert
- DECOMPRESSION_FAILURE : Botan::TLS::Alert
- DECRYPT_ERROR : Botan::TLS::Alert
- DECRYPTION_FAILED : Botan::TLS::Alert
- DH_PARAMETERS : Botan::DL_Group
- DSA_Kosherizer : Botan::DL_Group
- DSA_PARAMETERS : Botan::DL_Group
- DTLS_V10 : Botan::TLS::Protocol_Version
- DTLS_V12 : Botan::TLS::Protocol_Version

### - e -

- EXP_IS_FIXED : Botan::Power_Mod
- EXP_IS_LARGE : Botan::Power_Mod
- EXP_IS_SMALL : Botan::Power_Mod
- EXPORT_RESTRICTION : Botan::TLS::Alert

### - h -

- HANDSHAKE_FAILURE : Botan::TLS::Alert
- Hexadecimal : Botan::BigInt
- HYBRID : Botan::PointGFp

### - i -

- ILLEGAL_PARAMETER : Botan::TLS::Alert
- INAPPROPRIATE_FALLBACK : Botan::TLS::Alert
- INSUFFICIENT_SECURITY : Botan::TLS::Alert
- INTERNAL_ERROR : Botan::TLS::Alert

### - l -

- Lowercase : Botan::Hex_Encoder

### - n -

- Negative : Botan::BigInt
- NO_APPLICATION_PROTOCOL : Botan::TLS::Alert
- NO_CERTIFICATE : Botan::TLS::Alert
- NO_HINTS : Botan::Power_Mod
- NO_RENEGOTIATION : Botan::TLS::Alert
- None : Botan::GeneralName
- NotFound : Botan::GeneralName
- NULL_ALERT : Botan::TLS::Alert

### - p -

- PKCS3_DH_PARAMETERS : Botan::DL_Group
- PKCS_3 : Botan::DL_Group
- Positive : Botan::BigInt
- Prime_Subgroup : Botan::DL_Group
- PROTOCOL_VERSION : Botan::TLS::Alert

### - r -

- RECORD_OVERFLOW : Botan::TLS::Alert

### - s -

- Some : Botan::GeneralName
- Strong : Botan::DL_Group

### - t -

- TLS_V10 : Botan::TLS::Protocol_Version
- TLS_V11 : Botan::TLS::Protocol_Version
- TLS_V12 : Botan::TLS::Protocol_Version

### - u -

- UNCOMPRESSED : Botan::PointGFp , Botan::TLS::Supported_Point_Formats
- UNEXPECTED_MESSAGE : Botan::TLS::Alert
- UNKNOWN_CA : Botan::TLS::Alert
- UNKNOWN_PSK_IDENTITY : Botan::TLS::Alert
- UnknownType : Botan::GeneralName
- UNRECOGNIZED_NAME : Botan::TLS::Alert
- UNSUPPORTED_CERTIFICATE : Botan::TLS::Alert
- UNSUPPORTED_EXTENSION : Botan::TLS::Alert
- Uppercase : Botan::Hex_Encoder
- USE_NULL_PARAM : Botan::AlgorithmIdentifier
- USER_CANCELED : Botan::TLS::Alert

### - w -

- WOTSP_SHA2_256_W16 : Botan::XMSS_WOTS_Parameters
- WOTSP_SHA2_512_W16 : Botan::XMSS_WOTS_Parameters
- WOTSP_SHAKE128_W16 : Botan::XMSS_WOTS_Parameters
- WOTSP_SHAKE256_W16 : Botan::XMSS_WOTS_Parameters

### - x -

- XMSS_SHA2_256_W16_H10 : Botan::XMSS_Parameters
- XMSS_SHA2_256_W16_H16 : Botan::XMSS_Parameters
- XMSS_SHA2_256_W16_H20 : Botan::XMSS_Parameters
- XMSS_SHA2_512_W16_H10 : Botan::XMSS_Parameters
- XMSS_SHA2_512_W16_H16 : Botan::XMSS_Parameters
- XMSS_SHA2_512_W16_H20 : Botan::XMSS_Parameters
- XMSS_SHAKE128_W16_H10 : Botan::XMSS_Parameters
- XMSS_SHAKE128_W16_H16 : Botan::XMSS_Parameters
- XMSS_SHAKE128_W16_H20 : Botan::XMSS_Parameters
- XMSS_SHAKE256_W16_H10 : Botan::XMSS_Parameters
- XMSS_SHAKE256_W16_H16 : Botan::XMSS_Parameters
- XMSS_SHAKE256_W16_H20 : Botan::XMSS_Parameters